# monitoring_camera

本フォルダの内容物について説明します。

## at-debian-builder
本アプリケーションノートを構成するユーザーランドを生成できるソフトウェアです。
**ax1_resources/** 以下に、最終的にArmadillo上で動作するアプリケーションやEC2上でWebサーバとして動作するアプリケーションなどが含まれています。

リリース版との差異は、上記 **ax1_resources/** 以下のファイルが追加・修正されているのみです。

使用方法は、
[「出荷状態のルートファイルシステムアーカイブを構築する」](https://manual.atmark-techno.com/armadillo-x1/armadillo-x1_product_manual_ja-3.0.0/ch10.html#section.build-debian)
をご参照ください。

## make_install_disk_image
at-debian-builderで作成したユーザーランドが組み込まれたインストールディスクを作成できるソフトウェアです。

リリース版との差異は、インストールディスクの第1パーティションに1.1GB程度のスペースを設け、そこに配置したファイルをインストール実行時にユーザーランドに組み込むことができるように改造してあります。

使用方法は、
[「インストールディスクイメージの作成」](https://manual.atmark-techno.com/armadillo-x1/armadillo-x1_product_manual_ja-3.0.0/ch11.html#sct.install_base_software.with_install_disk.create_image)
をご参照ください。

## README.md
このファイルです。