function reloadContents() {
    $.ajax({
	type: 'get',
	url: $SCRIPT_ROOT + '/_scantable',
	dataType: 'json',
	cache: false,
	success: function(data) {
	    for(var n in data.Cameras) {
		camera_name = data.Cameras[n].name;
		changeThumbnail(data.Cameras[n].data[0].url, camera_name);
		refreshUpdate(camera_name);
		refreshList(data.Cameras[n].data, camera_name);
	    }
	},
	error: function() {
	    alert('Error');
	}
    });
}

function changeThumbnail(url, camera_name) {
    id = '#latest_' + camera_name;
    target = $(id);
    $(target).attr('src', url);
}

function refreshUpdate(camera_name) {
    id = '#update_' + camera_name;
    target = $(id);
    now = new Date();
    year = now.getFullYear();
    month = ('0' + (now.getMonth() + 1)).slice(-2);
    date = ('0' + now.getDate()).slice(-2);
    hour = ('0' + now.getHours()).slice(-2);
    min = ('0' + now.getMinutes()).slice(-2);
    sec = ('0' + now.getSeconds()).slice(-2);
    date = year + '-' + month + '-' + date + ' ' + hour + ':' + min + ':' + sec;
    $(target).html('最終更新: ' + date);
}

function refreshList(data, camera_name) {
    id = '#list_' + camera_name;
    target = $(id);
    var text = '';
    for(var i in data) {
	text += '<tr><td align="center"><a href="#" onclick="changeThumbnail(\'' + data[i].url + '\', \'' + camera_name + '\')">' + data[i].timestamp + '</a></td></tr>';
    }
    $(target).html(text);
}

$(function() {
    setInterval('reloadContents()', 30000);
});
